> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the issues flagged for a SaaS

> Return the list of provisioning issues currently flagged by the rule on the given SaaS, including missing access, unexpected access, missing/extra group/role/license assignments and orphaned identities.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /saas/{saasId}/issues
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /saas/{saasId}/issues:
    get:
      tags:
        - Saas
      summary: Get the issues flagged for a SaaS
      description: >-
        Return the list of provisioning issues currently flagged by the rule on
        the given SaaS, including missing access, unexpected access,
        missing/extra group/role/license assignments and orphaned identities.
      operationId: getSaasIssues
      parameters:
        - name: saasId
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSaasIssues_Output'
components:
  schemas:
    GetSaasIssues_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
                enum:
                  - NEED_ACCESS
                  - SHOULD_NOT_HAVE_ACCESS
                  - SHOULD_BE_MEMBER_OF_GROUP
                  - SHOULD_NOT_BE_MEMBER_OF_GROUP
                  - SHOULD_HAVE_ROLE
                  - SHOULD_NOT_HAVE_ROLE
                  - SHOULD_HAVE_LICENSE
                  - SHOULD_NOT_HAVE_LICENSE
                  - SHOULD_BE_IN_ORGANIZATION_UNIT
                  - ORPHANED_IDENTITY
              employeeId:
                description: Primo employee involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              identityId:
                description: Identity involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              groupId:
                description: Group involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              roleId:
                description: Role involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              licenseId:
                description: License involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              organizationUnitId:
                description: Organization unit involved in the issue, when applicable.
                anyOf:
                  - type: string
                  - type: 'null'
              reason:
                description: >-
                  Plain-language reason for this issue, displayed to the end
                  user.
                anyOf:
                  - type: string
                  - type: 'null'
              createdAt:
                description: ISO 8601 date-time when the issue was created.
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - id
              - type
              - employeeId
              - identityId
              - groupId
              - roleId
              - licenseId
              - organizationUnitId
              - reason
              - createdAt
            additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````